<script type="text/javascript">
jQuery(document).ready(function($){
	
	$('input[name=event_id]').click(function(){
		if( $(this).val()=="personal" )
			$('#trtema').removeClass("rejtettelem");
		else
			$('#trtema').addClass("rejtettelem");
	});
	
	$('#mehet').click(function(){
		var error = "";
		
		if( $('#nev').val() == "" ){
			error += "Nincs név";
			$('#nev').css({ 'background-color': '#FFAA44' });
		}else
			$('#nev').css({ 'background-color': '' });
		
		if( $('#tel').val() == "" ){
			error += "Nincs telefon";
			$('#tel').css({ 'background-color': '#FFAA44' });
		}else
			$('#tel').css({ 'background-color': '' });
		
		if( $('#email').val() == "" ){
			error += "Nincs email";
			$('#email').css({ 'background-color': '#FFAA44' });
		}else{
			$('#email').css({ 'background-color': '' });
		}
		
		if( !$('#feltetel').is(':checked') ){
			error += "<?=lang('event_elkellfog')?>";
			$('#feltetelspan').css({ 'background-color': '#FFAA44' });
		}else
			$('#feltetelspan').css({ 'background-color': '' });
		
		
		var esemeny = $('input:radio[name=event_id]:checked').val();
		if( typeof esemeny == 'undefined' ){
			error += "Válasszon ki egy időpontot";
			alert("Válasszon ki egy időpontot");
		}
		
		
		if(error == "")
			$('#registration_form').submit();
		
		return false;
	});


	/*var tallest = 0;
	$('.country').each(function() {
		var thisHeight = $(this).height();
		if(thisHeight > tallest) {
			tallest = thisHeight;
		}
	});*/
	//$('#alkl-jobb').height($('#alkl-bal').height());
	//$('#alkl-jobb').css();
	
	
});
</script>

<style type="text/css">
.alkl-top{
	background: url(/public/img/bg/box_main_sprite.png) no-repeat;
	width: 705px;
	height: 8px;
}
.alkl-bottom{
	background: url(/public/img/bg/box_main_sprite.png) -705px 0 no-repeat;
	width: 705px;
	height: 12px;
}
.alkl-repeat{
	background: url(/public/img/bg/box_main_sprite.png) -1410px 0 repeat-y;
	width: 685px;
	padding: 5px 10px;
}
</style>

<div id="alkl-bal" style="width: 705px; float: left; margin-left: -5px;">
<div class="alkl-top"></div>
<div class="alkl-repeat">
<h1 style="border-bottom: 0px;"><?=$page->page_title?></h1>
</div>
<div class="alkl-bottom"></div>

<div class="alkl-top"></div>
<div class="alkl-repeat">
<?=$page->page_body?>
</div>
<div class="alkl-bottom"></div>


<div class="alkl-top"></div>
<?
$xx = $this->phpsession->get('wshiba');
unset($_SESSION['default']['wshiba']);
?>
<div id="regdiv" class="alkl-repeat">
	<?if($xx!==""):?><div style="color: #f00; text-align: center;"><?=$xx?></div><?endif;?>
	<?=form_open('events/regisztracio', array('id' => 'registration_form'))?>
	<?=form_hidden('do', 'OK')?>
	<?=form_hidden('event_main_id', '56')?>
	<div class="event_chooser_list" style="margin: auto; width: 620px;">
		<ul>
			<?if( count($dates) > 0 ):?>
			<?foreach($dates as $date):?>
			<?if($date->times->able_to_reg):?>
			<?/* Ha még van szabad hely */?>
			<li>
				<input type="radio" name="event_id" id="eventid<?=$date->event_id?>" value="<?=$date->event_id?>" />
				<label for="eventid<?=$date->event_id?>">
				<?=$this->dateclass->getDateString($date->start_ts)?> <?=date('H:i',$date->start_ts)?> - <?=date('H:i',$date->end_ts)?>
				<?=str_replace("ARCHLine Klub: ","",$date->name)?>
				<?if($temak[$date->location]):?><a href="archline-klub/<?=$date->location?>"> <u>tematika</u></a><?endif;?>
				</label>
			</li>
			<?/*Ha betelt akkor várólistás jelentkezés*/?>
			<?else:?>
			<li>
				<input type="radio" name="event_id" id="vl_eventid<?=$date->event_id?>" value="vl_<?=$date->event_id?>" />
				<label for="vl_eventid<?=$date->event_id?>">
				<?=$this->dateclass->getDateString($date->start_ts)?> <?=date('H:i',$date->start_ts)?> - <?=date('H:i',$date->end_ts)?> 
				<?=str_replace("ARCHLine Klub: ","",$date->name)?>
				<b><span style="color: #C00;"><u>betelt</u></span>, Várólistára jelentkezem</b>
				<?if($temak[$date->location]):?><a href="archline-klub/<?=$date->location?>"> <u>tematika</u></a><?endif;?>
				</label>
			</li>
			<?endif;?>
			
			<?endforeach;?>
			<?endif;?>
			<li>
				<input type="radio" name="event_id" id="idopkeres" value="personal" />
				<label for="idopkeres">Javaslat új témára</label>
			</li>
		</ul>
	</div>
	
	<table cellpadding="5" cellspacing="0" align="center" width="450px">
		<tr>
			<td><strong><?=lang('events_form_name')?>:</strong></td>
			<td><input type="text" name="nev" id="nev" value="<?=$this->input->post('nev')?>" /></td>
		</tr>
		<tr>
			<td><strong><?=lang('events_form_phone')?>:</strong></td>
			<td><input type="text" name="tel" id="tel" value="<?=$this->input->post('tel')?>" /></td>
		</tr>
		<tr>
			<td nowrap="nowrap"><strong><?=lang('events_form_email')?>:</strong></td>
			<td><input type="text" name="email" id="email" value="<?=$this->input->post('email')?>" /></td>
		</tr>
		<tr class="rejtettelem" id="trtema">
			<td>Javasolt téma:</td>
			<td><input type="text" name="ujtema" value="<?=$this->input->post('ujtema')?>" /></td>
		</tr>
		<tr>
			<td><?=lang('events_form_comment')?>:</td>
			<td><input type="text" name="comment" value="<?=$this->input->post('comment')?>" /></td>
		</tr>
		<tr>
			<td colspan="2" style="text-align: center;">
				<span id="feltetelspan">
				<input type="checkbox" name="feltetel" id="feltetel" />
				<label for="feltetel">Elfogadom az ARCHLine Klub regisztrációs és lemondási feltételeit*</label>
				</span>
			</td>
		</tr>
		<tr>
			<td align="center" colspan="4"><button name="mehet" type="submit" id="mehet" ><?=lang('events_form_sub_reg')?></button>
</td>
		</tr>
	</table>
	<?=form_close()?>
<p>* A klubdélutánon korlátozott létszámban lehet részt venni, ezért kérjük, hogy lemondási szándékát legkésőbb az eseményt megelőző 48 órában jelezze felénk telefonon vagy e-mailben. Aki ezután mondja le a regisztrációt vagy nem jelenik meg, azt legközelebb csak várólistára tudjuk felírni.</p>
</div> <?/* END regdiv */?>
<div class="alkl-bottom"></div>

</div>


<div id="alkl-jobb" style="width: 252px; float: right; margin-right: -20px;">
<div class="ws-cim-top"></div>
<div class="keret">
<div class="tema" style="margin-top: 0px;"><a href="/archline-klub/anyagkezeles" class="tema">Anyagok, textúrák kezelése</a></div>
</div>
<div class="ws-cim-bottom"></div>

<div class="ws-cim-top"></div>
<div class="keret">
<div class="tema" style="margin-top: 0px;"><a href="/archline-klub/burkolatkiosztas" class="tema">Burkolatkiosztás</a></div>
</div>
<div class="ws-cim-bottom"></div>

<img src="/public/img/al_klub_box_pic.png" id="klubimg" alt="archline klub" style="margin: 335px 0 0 0;" />

</div>